searchData={"items":[{"type":"module","title":"Ed25519","doc":"Ed25519 signature functions\n\nThis is mostly suitable as part of a pure Elixir solution.","ref":"Ed25519.html"},{"type":"module","title":"Configuration - Ed25519","doc":"*No configuration is needed* in most cases. However, if needed, a custom hash\nfunction can be configured. As per the specification - `sha512` is the default.\n\n`config/config.exs`\n\n    import Config\n\n    # The hash function will be invoked as 'Blake2.hash2b(payload, 16)'\n    config :ed25519,\n      hash_fn: {Blake2, :hash2b, [], [16]}\n\n    # The hash function will be invoked as ':crypto.hash(:sha256, payload)'\n    config :ed25519,\n      hash_fn: {:crypto, :hash, [:sha256], []}","ref":"Ed25519.html#module-configuration"},{"type":"function","title":"Ed25519.derive_public_key/1","doc":"derive the public signing key from the secret key","ref":"Ed25519.html#derive_public_key/1"},{"type":"function","title":"Ed25519.generate_key_pair/0","doc":"Generate a secret/public key pair\n\nReturned tuple contains `{random_secret_key, derived_public_key}`","ref":"Ed25519.html#generate_key_pair/0"},{"type":"function","title":"Ed25519.generate_key_pair/1","doc":"Generate a secret/public key pair from supplied secret\n\nReturned tuple contains `{secret_key, derived_public_key}`","ref":"Ed25519.html#generate_key_pair/1"},{"type":"type","title":"Ed25519.key/0","doc":"public or secret key","ref":"Ed25519.html#t:key/0"},{"type":"function","title":"Ed25519.on_curve?/1","doc":"Returns whether a given `key` lies on the ed25519 curve.","ref":"Ed25519.html#on_curve?/1"},{"type":"type","title":"Ed25519.signature/0","doc":"computed signature","ref":"Ed25519.html#t:signature/0"},{"type":"function","title":"Ed25519.signature/3","doc":"Sign a message\n\nIf only the secret key is provided, the public key will be derived therefrom.\nThis adds significant overhead.","ref":"Ed25519.html#signature/3"},{"type":"function","title":"Ed25519.to_curve25519/2","doc":"Derive the x25519/curve25519 encryption key from the ed25519 signing key\n\n\nBy converting an `EdwardsPoint` on the Edwards model to the corresponding `MontgomeryPoint` on the Montgomery model\n\nHandles either `:secret` or `:public` keys as indicated in the call\n\nMay `raise` on an invalid input key or unknown atom\n\nSee: https://blog.filippo.io/using-ed25519-keys-for-encryption","ref":"Ed25519.html#to_curve25519/2"},{"type":"function","title":"Ed25519.valid_signature?/3","doc":"validate a signed message","ref":"Ed25519.html#valid_signature?/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}